/* $NetBSD: linux_syscall.h,v 1.119 2023/08/19 17:50:24 christos Exp $ */

/*
 * System call numbers.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.106 2023/08/19 17:49:49 christos Exp
 */

#ifndef _LINUX_SYS_SYSCALL_H_
#define	_LINUX_SYS_SYSCALL_H_

#define	LINUX_SYS_MAXSYSARGS	8

/* syscall: "syscall" ret: "int" args: */
#define	LINUX_SYS_syscall	0

/* syscall: "exit" ret: "int" args: "int" */
#define	LINUX_SYS_exit	1

/* syscall: "fork" ret: "int" args: */
#define	LINUX_SYS_fork	2

/* syscall: "read" ret: "ssize_t" args: "int" "void *" "size_t" */
#define	LINUX_SYS_read	3

/* syscall: "write" ret: "ssize_t" args: "int" "const void *" "size_t" */
#define	LINUX_SYS_write	4

/* syscall: "close" ret: "int" args: "int" */
#define	LINUX_SYS_close	6

/* syscall: "osf1_wait4" ret: "int" args: "int" "int *" "int" "struct osf1_rusage *" */
#define	LINUX_SYS_osf1_wait4	7

/* syscall: "creat" ret: "int" args: "const char *" "linux_umode_t" */
#define	LINUX_SYS_creat	8

/* syscall: "link" ret: "int" args: "const char *" "const char *" */
#define	LINUX_SYS_link	9

/* syscall: "unlink" ret: "int" args: "const char *" */
#define	LINUX_SYS_unlink	10

/* syscall: "chdir" ret: "int" args: "const char *" */
#define	LINUX_SYS_chdir	12

/* syscall: "fchdir" ret: "int" args: "int" */
#define	LINUX_SYS_fchdir	13

/* syscall: "mknod" ret: "int" args: "const char *" "linux_umode_t" "unsigned" */
#define	LINUX_SYS_mknod	14

/* syscall: "chmod" ret: "int" args: "const char *" "int" */
#define	LINUX_SYS_chmod	15

/* syscall: "__posix_chown" ret: "int" args: "const char *" "uid_t" "gid_t" */
#define	LINUX_SYS___posix_chown	16

/* syscall: "brk" ret: "int" args: "char *" */
#define	LINUX_SYS_brk	17

/* syscall: "lseek" ret: "long" args: "int" "long" "int" */
#define	LINUX_SYS_lseek	19

/* syscall: "getpid_with_ppid" ret: "pid_t" args: */
#define	LINUX_SYS_getpid_with_ppid	20

/* syscall: "osf1_mount" ret: "int" args: "int" "const char *" "int" "void *" */
#define	LINUX_SYS_osf1_mount	21

/* syscall: "setuid" ret: "int" args: "uid_t" */
#define	LINUX_SYS_setuid	23

/* syscall: "getuid_with_euid" ret: "uid_t" args: */
#define	LINUX_SYS_getuid_with_euid	24

/* syscall: "ptrace" ret: "int" args: "long" "long" "long" "long" */
#define	LINUX_SYS_ptrace	26

/* syscall: "access" ret: "int" args: "const char *" "int" */
#define	LINUX_SYS_access	33

/* syscall: "sync" ret: "int" args: */
#define	LINUX_SYS_sync	36

/* syscall: "kill" ret: "int" args: "int" "int" */
#define	LINUX_SYS_kill	37

/* syscall: "setpgid" ret: "int" args: "int" "int" */
#define	LINUX_SYS_setpgid	39

/* syscall: "dup" ret: "int" args: "int" */
#define	LINUX_SYS_dup	41

/* syscall: "pipe" ret: "int" args: */
#define	LINUX_SYS_pipe	42

/* syscall: "osf1_set_program_attributes" ret: "int" args: "void *" "unsigned long" "void *" "unsigned long" */
#define	LINUX_SYS_osf1_set_program_attributes	43

/* syscall: "open" ret: "int" args: "const char *" "int" "linux_umode_t" */
#define	LINUX_SYS_open	45

/* syscall: "getgid_with_egid" ret: "gid_t" args: */
#define	LINUX_SYS_getgid_with_egid	47

/* syscall: "sigprocmask" ret: "int" args: "int" "sigset13_t" */
#define	LINUX_SYS_sigprocmask	48

/* syscall: "acct" ret: "int" args: "const char *" */
#define	LINUX_SYS_acct	51

/* syscall: "sigpending" ret: "int" args: "linux_old_sigset_t *" */
#define	LINUX_SYS_sigpending	52

/* syscall: "ioctl" ret: "int" args: "int" "u_long" "void *" */
#define	LINUX_SYS_ioctl	54

/* syscall: "symlink" ret: "int" args: "const char *" "const char *" */
#define	LINUX_SYS_symlink	57

/* syscall: "readlink" ret: "ssize_t" args: "const char *" "char *" "int" */
#define	LINUX_SYS_readlink	58

/* syscall: "execve" ret: "int" args: "const char *" "char **" "char **" */
#define	LINUX_SYS_execve	59

/* syscall: "umask" ret: "mode_t" args: "mode_t" */
#define	LINUX_SYS_umask	60

/* syscall: "chroot" ret: "int" args: "const char *" */
#define	LINUX_SYS_chroot	61

/* syscall: "getpgrp" ret: "int" args: */
#define	LINUX_SYS_getpgrp	63

/* syscall: "getpagesize" ret: "int" args: */
#define	LINUX_SYS_getpagesize	64

/* syscall: "__vfork14" ret: "int" args: */
#define	LINUX_SYS___vfork14	66

/* syscall: "stat" ret: "int" args: "const char *" "struct linux_stat *" */
#define	LINUX_SYS_stat	67

/* syscall: "lstat" ret: "int" args: "const char *" "struct linux_stat *" */
#define	LINUX_SYS_lstat	68

/* syscall: "mmap" ret: "int" args: "unsigned long" "size_t" "int" "int" "int" "linux_off_t" */
#define	LINUX_SYS_mmap	71

/* syscall: "munmap" ret: "int" args: "void *" "size_t" */
#define	LINUX_SYS_munmap	73

/* syscall: "mprotect" ret: "int" args: "const void *" "unsigned long" "int" */
#define	LINUX_SYS_mprotect	74

/* syscall: "madvise" ret: "int" args: "void *" "size_t" "int" */
#define	LINUX_SYS_madvise	75

/* syscall: "getgroups" ret: "int" args: "int" "gid_t *" */
#define	LINUX_SYS_getgroups	79

/* syscall: "setgroups" ret: "int" args: "int" "const gid_t *" */
#define	LINUX_SYS_setgroups	80

/* syscall: "osf1_setitimer" ret: "int" args: "int" "struct osf1_itimerval *" "struct osf1_itimerval *" */
#define	LINUX_SYS_osf1_setitimer	83

/* syscall: "gethostname" ret: "int" args: "char *" "u_int" */
#define	LINUX_SYS_gethostname	87

/* syscall: "sethostname" ret: "int" args: "char *" "u_int" */
#define	LINUX_SYS_sethostname	88

/* syscall: "dup2" ret: "int" args: "int" "int" */
#define	LINUX_SYS_dup2	90

/* syscall: "fstat" ret: "int" args: "int" "struct linux_stat *" */
#define	LINUX_SYS_fstat	91

/* syscall: "fcntl" ret: "int" args: "int" "int" "void *" */
#define	LINUX_SYS_fcntl	92

/* syscall: "osf1_select" ret: "int" args: "u_int" "fd_set *" "fd_set *" "fd_set *" "struct osf1_timeval *" */
#define	LINUX_SYS_osf1_select	93

/* syscall: "poll" ret: "int" args: "struct pollfd *" "u_int" "int" */
#define	LINUX_SYS_poll	94

/* syscall: "fsync" ret: "int" args: "int" */
#define	LINUX_SYS_fsync	95

/* syscall: "setpriority" ret: "int" args: "int" "int" "int" */
#define	LINUX_SYS_setpriority	96

/* syscall: "socket" ret: "int" args: "int" "int" "int" */
#define	LINUX_SYS_socket	97

/* syscall: "connect" ret: "int" args: "int" "const struct osockaddr *" "unsigned int" */
#define	LINUX_SYS_connect	98

/* syscall: "accept" ret: "int" args: "int" "struct osockaddr *" "int *" */
#define	LINUX_SYS_accept	99

/* syscall: "getpriority" ret: "int" args: "int" "int" */
#define	LINUX_SYS_getpriority	100

/* syscall: "send" ret: "int" args: "int" "void *" "int" "int" */
#define	LINUX_SYS_send	101

/* syscall: "recv" ret: "int" args: "int" "void *" "int" "int" */
#define	LINUX_SYS_recv	102

/* syscall: "sigreturn" ret: "int" args: "struct linux_sigframe *" */
#define	LINUX_SYS_sigreturn	103

/* syscall: "bind" ret: "int" args: "int" "const struct osockaddr *" "unsigned int" */
#define	LINUX_SYS_bind	104

/* syscall: "setsockopt" ret: "int" args: "int" "int" "int" "void *" "int" */
#define	LINUX_SYS_setsockopt	105

/* syscall: "listen" ret: "int" args: "int" "int" */
#define	LINUX_SYS_listen	106

/* syscall: "sigsuspend" ret: "int" args: "void *" "int" "int" */
#define	LINUX_SYS_sigsuspend	111

/* syscall: "sigstack" ret: "int" args: "struct sigstack *" "struct sigstack *" */
#define	LINUX_SYS_sigstack	112

/* syscall: "recvmsg" ret: "ssize_t" args: "int" "struct linux_msghdr *" "int" */
#define	LINUX_SYS_recvmsg	113

/* syscall: "sendmsg" ret: "ssize_t" args: "int" "const struct linux_msghdr *" "int" */
#define	LINUX_SYS_sendmsg	114

/* syscall: "osf1_gettimeofday" ret: "int" args: "struct osf1_timeval *" "struct osf1_timezone *" */
#define	LINUX_SYS_osf1_gettimeofday	116

/* syscall: "osf1_getrusage" ret: "int" args: "int" "struct osf1_rusage *" */
#define	LINUX_SYS_osf1_getrusage	117

/* syscall: "getsockopt" ret: "int" args: "int" "int" "int" "void *" "int *" */
#define	LINUX_SYS_getsockopt	118

/* syscall: "readv" ret: "ssize_t" args: "int" "const struct iovec *" "int" */
#define	LINUX_SYS_readv	120

/* syscall: "writev" ret: "ssize_t" args: "int" "const struct iovec *" "int" */
#define	LINUX_SYS_writev	121

/* syscall: "osf1_settimeofday" ret: "int" args: "struct osf1_timeval *" "struct osf1_timezone *" */
#define	LINUX_SYS_osf1_settimeofday	122

/* syscall: "__posix_fchown" ret: "int" args: "int" "uid_t" "gid_t" */
#define	LINUX_SYS___posix_fchown	123

/* syscall: "fchmod" ret: "int" args: "int" "linux_umode_t" */
#define	LINUX_SYS_fchmod	124

/* syscall: "recvfrom" ret: "int" args: "int" "void *" "int" "int" "struct osockaddr *" "int *" */
#define	LINUX_SYS_recvfrom	125

/* syscall: "setreuid" ret: "int" args: "uid_t" "uid_t" */
#define	LINUX_SYS_setreuid	126

/* syscall: "setregid" ret: "int" args: "gid_t" "gid_t" */
#define	LINUX_SYS_setregid	127

/* syscall: "__posix_rename" ret: "int" args: "const char *" "const char *" */
#define	LINUX_SYS___posix_rename	128

/* syscall: "truncate" ret: "int" args: "const char *" "long" */
#define	LINUX_SYS_truncate	129

/* syscall: "ftruncate" ret: "int" args: "int" "long" */
#define	LINUX_SYS_ftruncate	130

/* syscall: "flock" ret: "int" args: "int" "int" */
#define	LINUX_SYS_flock	131

/* syscall: "setgid" ret: "int" args: "gid_t" */
#define	LINUX_SYS_setgid	132

/* syscall: "sendto" ret: "int" args: "int" "void *" "int" "int" "struct osockaddr *" "int" */
#define	LINUX_SYS_sendto	133

/* syscall: "shutdown" ret: "int" args: "int" "int" */
#define	LINUX_SYS_shutdown	134

/* syscall: "socketpair" ret: "int" args: "int" "int" "int" "int *" */
#define	LINUX_SYS_socketpair	135

/* syscall: "mkdir" ret: "int" args: "const char *" "linux_umode_t" */
#define	LINUX_SYS_mkdir	136

/* syscall: "rmdir" ret: "int" args: "const char *" */
#define	LINUX_SYS_rmdir	137

/* syscall: "osf1_utimes" ret: "int" args: "const char *" "const struct osf1_timeval *" */
#define	LINUX_SYS_osf1_utimes	138

/* syscall: "getpeername" ret: "int" args: "int" "void *" "int *" */
#define	LINUX_SYS_getpeername	141

/* syscall: "getrlimit" ret: "int" args: "int" "struct orlimit *" */
#define	LINUX_SYS_getrlimit	144

/* syscall: "setrlimit" ret: "int" args: "int" "const struct orlimit *" */
#define	LINUX_SYS_setrlimit	145

/* syscall: "setsid" ret: "int" args: */
#define	LINUX_SYS_setsid	147

/* syscall: "getsockname" ret: "int" args: "int" "void *" "int *" */
#define	LINUX_SYS_getsockname	150

/* syscall: "sigaction" ret: "int" args: "int" "const struct linux_old_sigaction *" "struct linux_old_sigaction *" */
#define	LINUX_SYS_sigaction	156

/* syscall: "getdirentries" ret: "int" args: "int" "char *" "u_int" "long *" */
#define	LINUX_SYS_getdirentries	159

/* syscall: "osf1_statfs" ret: "int" args: "const char *" "struct osf1_statfs *" "int" */
#define	LINUX_SYS_osf1_statfs	160

/* syscall: "osf1_fstatfs" ret: "int" args: "int" "struct osf1_statfs *" "int" */
#define	LINUX_SYS_osf1_fstatfs	161

/* syscall: "getdomainname" ret: "int" args: "char *" "int" */
#define	LINUX_SYS_getdomainname	165

/* syscall: "setdomainname" ret: "int" args: "char *" "int" */
#define	LINUX_SYS_setdomainname	166

/* syscall: "ugetrlimit" ret: "int" args: "int" "struct rlimit *" */
#define	LINUX_SYS_ugetrlimit	191

#ifdef SYSVMSG
/* syscall: "msgctl" ret: "int" args: "int" "int" "struct linux_msqid_ds *" */
#define	LINUX_SYS_msgctl	200

/* syscall: "msgget" ret: "int" args: "key_t" "int" */
#define	LINUX_SYS_msgget	201

/* syscall: "msgrcv" ret: "ssize_t" args: "int" "void *" "size_t" "long" "int" */
#define	LINUX_SYS_msgrcv	202

/* syscall: "msgsnd" ret: "int" args: "int" "void *" "size_t" "int" */
#define	LINUX_SYS_msgsnd	203

#else
#endif
#ifdef SYSVSEM
/* syscall: "semctl" ret: "int" args: "int" "int" "int" "union linux_semun" */
#define	LINUX_SYS_semctl	204

/* syscall: "semget" ret: "int" args: "key_t" "int" "int" */
#define	LINUX_SYS_semget	205

/* syscall: "semop" ret: "int" args: "int" "struct sembuf *" "size_t" */
#define	LINUX_SYS_semop	206

#else
#endif
/* syscall: "olduname" ret: "int" args: "struct linux_old_utsname *" */
#define	LINUX_SYS_olduname	207

/* syscall: "__posix_lchown" ret: "int" args: "const char *" "uid_t" "gid_t" */
#define	LINUX_SYS___posix_lchown	208

#ifdef SYSVSHM
/* syscall: "shmat" ret: "int" args: "int" "void *" "int" "u_long *" */
#define	LINUX_SYS_shmat	209

/* syscall: "shmctl" ret: "int" args: "int" "int" "struct linux_shmid_ds *" */
#define	LINUX_SYS_shmctl	210

/* syscall: "shmdt" ret: "int" args: "const void *" */
#define	LINUX_SYS_shmdt	211

/* syscall: "shmget" ret: "int" args: "key_t" "size_t" "int" */
#define	LINUX_SYS_shmget	212

#else
#endif
/* syscall: "__msync13" ret: "int" args: "void *" "size_t" "int" */
#define	LINUX_SYS___msync13	217

/* syscall: "getpgid" ret: "pid_t" args: "pid_t" */
#define	LINUX_SYS_getpgid	233

/* syscall: "getsid" ret: "pid_t" args: "pid_t" */
#define	LINUX_SYS_getsid	234

/* syscall: "osf1_sysinfo" ret: "int" args: "int" "char *" "long" */
#define	LINUX_SYS_osf1_sysinfo	241

/* syscall: "osf1_usleep_thread" ret: "int" args: "struct osf1_timeval *" "struct osf1_timeval *" */
#define	LINUX_SYS_osf1_usleep_thread	251

/* syscall: "osf1_getsysinfo" ret: "int" args: "u_long" "void *" "u_long" "void *" "u_long" */
#define	LINUX_SYS_osf1_getsysinfo	256

/* syscall: "osf1_setsysinfo" ret: "int" args: "u_long" "void *" "u_long" "void *" "u_long" */
#define	LINUX_SYS_osf1_setsysinfo	257

/* syscall: "fdatasync" ret: "int" args: "int" */
#define	LINUX_SYS_fdatasync	261

/* syscall: "swapoff" ret: "int" args: "const char *" */
#define	LINUX_SYS_swapoff	304

/* syscall: "getdents" ret: "int" args: "int" "struct linux_dirent *" "unsigned int" */
#define	LINUX_SYS_getdents	305

/* syscall: "reboot" ret: "int" args: "int" "int" "int" "void *" */
#define	LINUX_SYS_reboot	311

/* syscall: "clone" ret: "int" args: "int" "void *" "void *" "void *" "void *" */
#define	LINUX_SYS_clone	312

#ifdef EXEC_AOUT
/* syscall: "uselib" ret: "int" args: "const char *" */
#define	LINUX_SYS_uselib	313

#else
#endif
/* syscall: "mlock" ret: "int" args: "const void *" "size_t" */
#define	LINUX_SYS_mlock	314

/* syscall: "munlock" ret: "int" args: "const void *" "size_t" */
#define	LINUX_SYS_munlock	315

/* syscall: "mlockall" ret: "int" args: "int" */
#define	LINUX_SYS_mlockall	316

/* syscall: "munlockall" ret: "int" args: */
#define	LINUX_SYS_munlockall	317

/* syscall: "sysinfo" ret: "int" args: "struct linux_sysinfo *" */
#define	LINUX_SYS_sysinfo	318

/* syscall: "__sysctl" ret: "int" args: "struct linux___sysctl *" */
#define	LINUX_SYS___sysctl	319

/* syscall: "swapon" ret: "int" args: "const char *" */
#define	LINUX_SYS_swapon	322

/* syscall: "times" ret: "int" args: "struct times *" */
#define	LINUX_SYS_times	323

/* syscall: "personality" ret: "int" args: "unsigned long" */
#define	LINUX_SYS_personality	324

/* syscall: "setfsuid" ret: "int" args: "uid_t" */
#define	LINUX_SYS_setfsuid	325

/* syscall: "setfsgid" ret: "int" args: "gid_t" */
#define	LINUX_SYS_setfsgid	326

/* syscall: "statfs" ret: "int" args: "const char *" "struct linux_statfs *" */
#define	LINUX_SYS_statfs	328

/* syscall: "fstatfs" ret: "int" args: "int" "struct linux_statfs *" */
#define	LINUX_SYS_fstatfs	329

/* syscall: "sched_setparam" ret: "int" args: "pid_t" "const struct linux_sched_param *" */
#define	LINUX_SYS_sched_setparam	330

/* syscall: "sched_getparam" ret: "int" args: "pid_t" "struct linux_sched_param *" */
#define	LINUX_SYS_sched_getparam	331

/* syscall: "sched_setscheduler" ret: "int" args: "pid_t" "int" "const struct linux_sched_param *" */
#define	LINUX_SYS_sched_setscheduler	332

/* syscall: "sched_getscheduler" ret: "int" args: "pid_t" */
#define	LINUX_SYS_sched_getscheduler	333

/* syscall: "sched_yield" ret: "int" args: */
#define	LINUX_SYS_sched_yield	334

/* syscall: "sched_get_priority_max" ret: "int" args: "int" */
#define	LINUX_SYS_sched_get_priority_max	335

/* syscall: "sched_get_priority_min" ret: "int" args: "int" */
#define	LINUX_SYS_sched_get_priority_min	336

/* syscall: "uname" ret: "int" args: "struct linux_utsname *" */
#define	LINUX_SYS_uname	339

/* syscall: "nanosleep" ret: "int" args: "const struct linux_timespec *" "struct linux_timespec *" */
#define	LINUX_SYS_nanosleep	340

/* syscall: "mremap" ret: "void *" args: "void *" "size_t" "size_t" "u_long" */
#define	LINUX_SYS_mremap	341

/* syscall: "setresuid" ret: "int" args: "uid_t" "uid_t" "uid_t" */
#define	LINUX_SYS_setresuid	343

/* syscall: "getresuid" ret: "int" args: "uid_t *" "uid_t *" "uid_t *" */
#define	LINUX_SYS_getresuid	344

/* syscall: "pread" ret: "int" args: "int" "char *" "size_t" "off_t" */
#define	LINUX_SYS_pread	349

/* syscall: "pwrite" ret: "int" args: "int" "char *" "size_t" "off_t" */
#define	LINUX_SYS_pwrite	350

/* syscall: "rt_sigreturn" ret: "int" args: "struct linux_rt_sigframe *" */
#define	LINUX_SYS_rt_sigreturn	351

/* syscall: "rt_sigaction" ret: "int" args: "int" "const struct linux_sigaction *" "struct linux_sigaction *" "size_t" */
#define	LINUX_SYS_rt_sigaction	352

/* syscall: "rt_sigprocmask" ret: "int" args: "int" "const linux_sigset_t *" "linux_sigset_t *" "size_t" */
#define	LINUX_SYS_rt_sigprocmask	353

/* syscall: "rt_sigpending" ret: "int" args: "linux_sigset_t *" "size_t" */
#define	LINUX_SYS_rt_sigpending	354

/* syscall: "rt_sigtimedwait" ret: "int" args: "const linux_sigset_t *" "linux_siginfo_t *" "const struct linux_timespec *" */
#define	LINUX_SYS_rt_sigtimedwait	355

/* syscall: "rt_queueinfo" ret: "int" args: "int" "int" "linux_siginfo_t *" */
#define	LINUX_SYS_rt_queueinfo	356

/* syscall: "rt_sigsuspend" ret: "int" args: "linux_sigset_t *" "size_t" */
#define	LINUX_SYS_rt_sigsuspend	357

/* syscall: "select" ret: "int" args: "int" "fd_set *" "fd_set *" "fd_set *" "struct timeval50 *" */
#define	LINUX_SYS_select	358

/* syscall: "gettimeofday" ret: "int" args: "struct timeval50 *" "struct timezone *" */
#define	LINUX_SYS_gettimeofday	359

/* syscall: "settimeofday" ret: "int" args: "struct timeval50 *" "struct timezone *" */
#define	LINUX_SYS_settimeofday	360

/* syscall: "getitimer" ret: "int" args: "int" "struct itimerval50 *" */
#define	LINUX_SYS_getitimer	361

/* syscall: "setitimer" ret: "int" args: "int" "const struct itimerval50 *" "struct itimerval50 *" */
#define	LINUX_SYS_setitimer	362

/* syscall: "utimes" ret: "int" args: "const char *" "const struct timeval50 *" */
#define	LINUX_SYS_utimes	363

/* syscall: "getrusage" ret: "int" args: "int" "struct rusage50 *" */
#define	LINUX_SYS_getrusage	364

/* syscall: "wait4" ret: "int" args: "int" "int *" "int" "struct rusage50 *" */
#define	LINUX_SYS_wait4	365

/* syscall: "__getcwd" ret: "int" args: "char *" "size_t" */
#define	LINUX_SYS___getcwd	367

/* syscall: "mincore" ret: "int" args: "void *" "size_t" "char *" */
#define	LINUX_SYS_mincore	375

/* syscall: "getdents64" ret: "int" args: "int" "struct linux_dirent64 *" "unsigned int" */
#define	LINUX_SYS_getdents64	377

/* syscall: "gettid" ret: "pid_t" args: */
#define	LINUX_SYS_gettid	378

/* syscall: "readahead" ret: "ssize_t" args: "int" "off_t" "size_t" */
#define	LINUX_SYS_readahead	379

/* syscall: "tkill" ret: "int" args: "int" "int" */
#define	LINUX_SYS_tkill	381

/* syscall: "setxattr" ret: "int" args: "char *" "char *" "void *" "size_t" "int" */
#define	LINUX_SYS_setxattr	382

/* syscall: "lsetxattr" ret: "int" args: "char *" "char *" "void *" "size_t" "int" */
#define	LINUX_SYS_lsetxattr	383

/* syscall: "fsetxattr" ret: "int" args: "int" "char *" "void *" "size_t" "int" */
#define	LINUX_SYS_fsetxattr	384

/* syscall: "getxattr" ret: "ssize_t" args: "char *" "char *" "void *" "size_t" */
#define	LINUX_SYS_getxattr	385

/* syscall: "lgetxattr" ret: "ssize_t" args: "char *" "char *" "void *" "size_t" */
#define	LINUX_SYS_lgetxattr	386

/* syscall: "fgetxattr" ret: "ssize_t" args: "int" "char *" "void *" "size_t" */
#define	LINUX_SYS_fgetxattr	387

/* syscall: "listxattr" ret: "ssize_t" args: "char *" "char *" "size_t" */
#define	LINUX_SYS_listxattr	388

/* syscall: "llistxattr" ret: "ssize_t" args: "char *" "char *" "size_t" */
#define	LINUX_SYS_llistxattr	389

/* syscall: "flistxattr" ret: "ssize_t" args: "int" "char *" "size_t" */
#define	LINUX_SYS_flistxattr	390

/* syscall: "removexattr" ret: "int" args: "char *" "char *" */
#define	LINUX_SYS_removexattr	391

/* syscall: "lremovexattr" ret: "int" args: "char *" "char *" */
#define	LINUX_SYS_lremovexattr	392

/* syscall: "fremovexattr" ret: "int" args: "int" "char *" */
#define	LINUX_SYS_fremovexattr	393

/* syscall: "futex" ret: "int" args: "int *" "int" "int" "const struct linux_timespec *" "int *" "int" */
#define	LINUX_SYS_futex	394

/* syscall: "sched_setaffinity" ret: "int" args: "pid_t" "unsigned int" "unsigned long *" */
#define	LINUX_SYS_sched_setaffinity	395

/* syscall: "sched_getaffinity" ret: "int" args: "pid_t" "unsigned int" "unsigned long *" */
#define	LINUX_SYS_sched_getaffinity	396

/* syscall: "exit_group" ret: "int" args: "int" */
#define	LINUX_SYS_exit_group	405

/* syscall: "epoll_create" ret: "int" args: "int" */
#define	LINUX_SYS_epoll_create	407

/* syscall: "epoll_ctl" ret: "int" args: "int" "int" "int" "struct linux_epoll_event *" */
#define	LINUX_SYS_epoll_ctl	408

/* syscall: "epoll_wait" ret: "int" args: "int" "struct linux_epoll_event *" "int" "int" */
#define	LINUX_SYS_epoll_wait	409

/* syscall: "set_tid_address" ret: "int" args: "int *" */
#define	LINUX_SYS_set_tid_address	411

/* syscall: "fadvise64" ret: "int" args: "int" "off_t" "size_t" "int" */
#define	LINUX_SYS_fadvise64	413

/* syscall: "timer_create" ret: "int" args: "clockid_t" "struct linux_sigevent *" "timer_t *" */
#define	LINUX_SYS_timer_create	414

/* syscall: "timer_settime" ret: "int" args: "timer_t" "int" "const struct linux_itimerspec *" "struct linux_itimerspec *" */
#define	LINUX_SYS_timer_settime	415

/* syscall: "timer_gettime" ret: "int" args: "timer_t" "struct linux_itimerspec *" */
#define	LINUX_SYS_timer_gettime	416

/* syscall: "timer_getoverrun" ret: "int" args: "timer_t" */
#define	LINUX_SYS_timer_getoverrun	417

/* syscall: "timer_delete" ret: "int" args: "timer_t" */
#define	LINUX_SYS_timer_delete	418

/* syscall: "clock_settime" ret: "int" args: "clockid_t" "struct linux_timespec *" */
#define	LINUX_SYS_clock_settime	419

/* syscall: "clock_gettime" ret: "int" args: "clockid_t" "struct linux_timespec *" */
#define	LINUX_SYS_clock_gettime	420

/* syscall: "clock_getres" ret: "int" args: "clockid_t" "struct linux_timespec *" */
#define	LINUX_SYS_clock_getres	421

/* syscall: "clock_nanosleep" ret: "int" args: "clockid_t" "int" "struct linux_timespec *" "struct linux_timespec *" */
#define	LINUX_SYS_clock_nanosleep	422

/* syscall: "tgkill" ret: "int" args: "int" "int" "int" */
#define	LINUX_SYS_tgkill	424

/* syscall: "stat64" ret: "int" args: "const char *" "struct linux_stat64 *" */
#define	LINUX_SYS_stat64	425

/* syscall: "lstat64" ret: "int" args: "const char *" "struct linux_stat64 *" */
#define	LINUX_SYS_lstat64	426

/* syscall: "fstat64" ret: "int" args: "int" "struct linux_stat64 *" */
#define	LINUX_SYS_fstat64	427

/* syscall: "waitid" ret: "int" args: "int" "id_t" "linux_siginfo_t *" "int" "struct rusage50 *" */
#define	LINUX_SYS_waitid	438

/* syscall: "inotify_init" ret: "int" args: */
#define	LINUX_SYS_inotify_init	444

/* syscall: "inotify_add_watch" ret: "int" args: "int" "const char *" "uint32_t" */
#define	LINUX_SYS_inotify_add_watch	445

/* syscall: "inotify_rm_watch" ret: "int" args: "int" "int" */
#define	LINUX_SYS_inotify_rm_watch	446

/* syscall: "openat" ret: "int" args: "int" "const char *" "int" "..." */
#define	LINUX_SYS_openat	450

/* syscall: "mkdirat" ret: "int" args: "int" "const char *" "linux_umode_t" */
#define	LINUX_SYS_mkdirat	451

/* syscall: "mknodat" ret: "int" args: "int" "const char *" "linux_umode_t" "unsigned" */
#define	LINUX_SYS_mknodat	452

/* syscall: "fchownat" ret: "int" args: "int" "const char *" "uid_t" "gid_t" "int" */
#define	LINUX_SYS_fchownat	453

/* syscall: "fstatat64" ret: "int" args: "int" "const char *" "struct linux_stat64 *" "int" */
#define	LINUX_SYS_fstatat64	455

/* syscall: "unlinkat" ret: "int" args: "int" "const char *" "int" */
#define	LINUX_SYS_unlinkat	456

/* syscall: "renameat" ret: "int" args: "int" "const char *" "int" "const char *" */
#define	LINUX_SYS_renameat	457

/* syscall: "linkat" ret: "int" args: "int" "const char *" "int" "const char *" "int" */
#define	LINUX_SYS_linkat	458

/* syscall: "symlinkat" ret: "int" args: "const char *" "int" "const char *" */
#define	LINUX_SYS_symlinkat	459

/* syscall: "readlinkat" ret: "ssize_t" args: "int" "const char *" "char *" "size_t" */
#define	LINUX_SYS_readlinkat	460

/* syscall: "fchmodat" ret: "int" args: "int" "const char *" "linux_umode_t" */
#define	LINUX_SYS_fchmodat	461

/* syscall: "faccessat" ret: "int" args: "int" "const char *" "int" */
#define	LINUX_SYS_faccessat	462

/* syscall: "pselect6" ret: "int" args: "int" "fd_set *" "fd_set *" "fd_set *" "struct linux_timespec *" "linux_sized_sigset_t *" */
#define	LINUX_SYS_pselect6	463

/* syscall: "ppoll" ret: "int" args: "struct pollfd *" "u_int" "struct linux_timespec *" "linux_sigset_t *" */
#define	LINUX_SYS_ppoll	464

/* syscall: "__futex_set_robust_list" ret: "int" args: "void *" "size_t" */
#define	LINUX_SYS___futex_set_robust_list	466

/* syscall: "__futex_get_robust_list" ret: "int" args: "lwpid_t" "void **" "size_t *" */
#define	LINUX_SYS___futex_get_robust_list	467

/* syscall: "epoll_pwait" ret: "int" args: "int" "struct linux_epoll_event *" "int" "int" "const linux_sigset_t *" */
#define	LINUX_SYS_epoll_pwait	474

/* syscall: "utimensat" ret: "int" args: "int" "const char *" "struct linux_timespec *" "int" */
#define	LINUX_SYS_utimensat	475

/* syscall: "eventfd" ret: "int" args: "unsigned int" */
#define	LINUX_SYS_eventfd	478

/* syscall: "recvmmsg" ret: "int" args: "int" "struct linux_mmsghdr *" "unsigned int" "unsigned int" "struct timespec *" */
#define	LINUX_SYS_recvmmsg	479

/* syscall: "fallocate" ret: "int" args: "int" "int" "off_t" "off_t" */
#define	LINUX_SYS_fallocate	480

/* syscall: "timerfd_create" ret: "int" args: "clockid_t" "int" */
#define	LINUX_SYS_timerfd_create	481

/* syscall: "timerfd_settime" ret: "int" args: "int" "int" "const struct linux_itimerspec *" "struct linux_itimerspec *" */
#define	LINUX_SYS_timerfd_settime	482

/* syscall: "timerfd_gettime" ret: "int" args: "int" "struct linux_itimerspec *" */
#define	LINUX_SYS_timerfd_gettime	483

/* syscall: "eventfd2" ret: "int" args: "unsigned int" "int" */
#define	LINUX_SYS_eventfd2	485

/* syscall: "epoll_create1" ret: "int" args: "int" */
#define	LINUX_SYS_epoll_create1	486

/* syscall: "dup3" ret: "int" args: "int" "int" "int" */
#define	LINUX_SYS_dup3	487

/* syscall: "pipe2" ret: "int" args: "int *" "int" */
#define	LINUX_SYS_pipe2	488

/* syscall: "inotify_init1" ret: "int" args: "int" */
#define	LINUX_SYS_inotify_init1	489

/* syscall: "preadv" ret: "int" args: "int" "const struct iovec *" "int" "unsigned long" "unsigned long" */
#define	LINUX_SYS_preadv	490

/* syscall: "pwritev" ret: "int" args: "int" "const struct iovcnt *" "int" "unsigned long" "unsigned long" */
#define	LINUX_SYS_pwritev	491

/* syscall: "prlimit64" ret: "int" args: "pid_t" "int" "struct rlimit *" "struct rlimit *" */
#define	LINUX_SYS_prlimit64	496

/* syscall: "accept4" ret: "int" args: "int" "struct osockaddr *" "int *" "int" */
#define	LINUX_SYS_accept4	502

/* syscall: "sendmmsg" ret: "int" args: "int" "struct linux_mmsghdr *" "unsigned int" "unsigned int" */
#define	LINUX_SYS_sendmmsg	503

/* syscall: "statx" ret: "int" args: "int" "const char *" "int" "unsigned int" "struct linux_statx *" */
#define	LINUX_SYS_statx	522

/* syscall: "close_range" ret: "int" args: "unsigned int" "unsigned int" "unsigned int" */
#define	LINUX_SYS_close_range	546

/* syscall: "epoll_pwait2" ret: "int" args: "int" "struct linux_epoll_event *" "int" "const struct linux_timespec *" "const linux_sigset_t *" */
#define	LINUX_SYS_epoll_pwait2	551

#define	LINUX_SYS_MAXSYSCALL	552
#define	LINUX_SYS_NSYSENT	1024
#endif /* _LINUX_SYS_SYSCALL_H_ */
